Bug 972872 - would like update to mod_auth_cas 1.0.10
would like update to mod_auth_cas 1.0.10
Status: CLOSED DEFERRED
Product: Fedora EPEL
Classification: Fedora
Component: mod_auth_cas (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 13:20 EDT by long
Modified: 2015-10-30 11:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-30 11:26:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description long 2013-06-10 13:20:04 EDT
Description of problem:
Version 1.0.10 fixes a security problem in previous versions.  Current version also does not play well with SSL certificates that use intermediate CA certs.

Version-Release number of selected component (if applicable):
mod_auth_cas-1.0.8.1-2.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. set CASLoginURL to an SSL server using an SSL certificate signed with intermediate CA cert (e.g. digicert would be an example)
2. try accessing CAS protected resource
3.

Actual results:
Error log always says 
[Mon Jun 10 12:04:32 2013] [error] [client XXX] MOD_AUTH_CAS: Certificate CN does not match XXX


Expected results:
CAS works

Additional info:
Newer versions of mod_auth_cas switched SSL infrastucture so they could handle SSL certificates better.
Comment 1 jodell 2015-09-02 18:57:37 EDT
The current version on EPEL (1.0.9.1) does not work with SAML Validation.

I did a straight recompile from source (1.0.10), and it worked right away.
- https://github.com/Jasig/mod_auth_cas

Version 1.0.10 is already a year old.
Comment 2 Adam Miller 2015-10-30 11:26:40 EDT
Version 1.0.10 still hasn't had a stable release from upstream. We generally don't ship pre-release software in EPEL. I'll update once it's released.

Note You need to log in before you can comment on or make changes to this bug.